Bug 44286 - XMLWhiteSpaceHandler leaks memory
XMLWhiteSpaceHandler leaks memory
Status: CLOSED FIXED
Product: Fop - Now in Jira
Classification: Unclassified
Component: page-master/layout
trunk
All Linux
: P2 critical
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-01-23 08:15 UTC by Stefan Ziel
Modified: 2012-04-01 07:05 UTC (History)
0 users



Attachments
fo - file which leaves approx 20 blocks on the stack for each page-sequence (78.43 KB, text/x-xslfo)
2008-01-23 08:22 UTC, Stefan Ziel
Details
patch to correct problem (10.41 KB, patch)
2008-01-23 10:01 UTC, Stefan Ziel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Ziel 2008-01-23 08:15:07 UTC
org.apache.fop.fo.XMLWhiteSpaceHandler does not remove certain blocks from it's
nestedBlockStack.
Comment 1 Stefan Ziel 2008-01-23 08:22:13 UTC
Created attachment 21417 [details]
fo - file which leaves approx 20 blocks on the stack for each page-sequence
Comment 2 Stefan Ziel 2008-01-23 10:01:20 UTC
Created attachment 21418 [details]
patch to correct problem
Comment 3 Andreas L. Delmelle 2008-01-23 10:20:50 UTC
Yep, you're right. Seems to an oversight of mine... :/

Thanks for spotting this! I'll apply it ASAP.
Comment 4 Andreas L. Delmelle 2008-01-23 15:17:43 UTC
Hi Stefan,

Just had a closer look at your patch. The fix itself definitely looks good (using parameters instead of 
member references to avoid the leak), but the applied re-styling of the code is less appreciated.
Nothing big. I'm just referring to the tab-characters and some swallowed linefeeds... Would you mind 
terribly redoing the changes on a fresh checkout of the trunk, but avoid the code from being styled by 
whatever IDE you're using? That would be much appreciated!

Again: thanks for the vigilance, and keep them coming. :-)
Comment 5 Andreas L. Delmelle 2008-01-27 05:39:35 UTC
OK, I guess you *did* mind. ;-)
No harm done, since it was only one file.
Modifications in the patch applied to the trunk.

see: http://svn.apache.org/viewvc?rev=615598&view=rev

Please take the remark about code-styling into account for any future patches (especially if they start 
involving changes to multiple source files...)

Thanks for the input!
Comment 6 Glenn Adams 2012-04-01 07:05:12 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed